libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Types | Public Attributes | Static Public Attributes | List of all members
libcamera::DebayerParams Struct Reference

Struct to hold the debayer parameters. More...

## Public Types
using | ColorLookupTable = std::array<uint8_t, kRGBLookupSize>
| Type of the lookup tables for red, green, blue values.

## Public Attributes
ColorLookupTable | red
| Lookup table for red color, mapping input values to output values.
ColorLookupTable | green
| Lookup table for green color, mapping input values to output values.
ColorLookupTable | blue
| Lookup table for blue color, mapping input values to output values.

## Static Public Attributes
static constexpr unsigned int | kRGBLookupSize = 256
| Size of a color lookup table.

## Detailed Description

Struct to hold the debayer parameters.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/software_isp/debayer_params.h
- src/libcamera/software_isp/debayer.cpp